// Servo Keyboard control Program
// Control of a Servo Motor
// Most Servo angle range from 0 to 180 which is a 180 degree limit 
// Some are limited to 45 to 135 which is a 90 degree limit  

#include <Servo.h>
Servo myservo1;  // create servo object to control a servo 
                 // a maximum of eight servo objects can be created 
  
int pos = 0;    // variable to store the servo position 
int led = 13;  
const int dirpin = 2;
const int steppin = 12;
int incomingByte; 
void setup() 
{
  Serial.begin(9600);
  pinMode(dirpin, OUTPUT);
  pinMode(steppin, OUTPUT); 
  myservo1.attach(4);  // attaches the servo on pin 4 to the servo object
  pinMode(led,OUTPUT);
}

void loop() {
  if (Serial.available() > 0) {
    incomingByte = Serial.read();
    if(incomingByte == 'i') //servo 1
    ii(); //move clockwise
    if(incomingByte == 'j') 
    jj(); //move counterclockwise
    
    if(incomingByte == 'l')//LED 13 tester
    ll(); //turn on led 13
    if(incomingByte == 'p')
    pp(); //turn off led 13
   
 }
  
  }
  
////////////////////LED 13 TESTER///////////////////////////////////////////
void ll (){
digitalWrite(led, HIGH);   // turn the LED on (HIGH is the voltage level)
  delay(1000);               // wait for a second
}
void pp (){
digitalWrite(led, LOW);    // turn the LED off by making the voltage LOW
  delay(1000);               // wait for a second
}
/////////////////////SERVO 1////////////////////////////////////////////

void ii ()
{
  if(pos < 180){
  pos += 2;
  myservo1.write(pos);
  delay(15);
  }
if(pos == 180){
  delay(15);
  }   
 if(pos > 180){
   pos = 180;
   myservo1.write(pos);
   delay(15);
 } 
}
void jj ()
{
  if(pos > 0){
  pos -= 2;
  myservo1.write(pos);
  delay(15);
  }
if(pos == 0){
  delay(15);
  }   
 if(pos < 0){
 pos = 0;
 myservo1.write(pos);
 delay(15);
 } 
}

/////////////////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////////////////
